# eric6.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.shelve

Module implementing the shelve extension interface.

### Global Attributes

None

### Classes

Shelve | Class implementing the shelve extension interface.

### Functions

None

## Shelve

Class implementing the shelve extension interface.

### Derived from

HgExtension

### Class Attributes

None

### Class Methods

None

### Methods

Shelve | Constructor
__hgGetShelveNamesList | Private method to get the list of shelved changes.
hgCleanupShelves | Public method to delete all shelves.
hgDeleteShelves | Public method to delete named shelves.
hgShelve | Public method to shelve current changes of files or directories.
hgShelveBrowser | Public method to show the shelve browser dialog.
hgUnshelve | Public method to restore shelved changes to the project directory.
hgUnshelveAbort | Public method to abort the ongoing restore operation.
hgUnshelveContinue | Public method to continue the ongoing restore operation.
shutdown | Public method used to shutdown the shelve interface.

### Static Methods

None

#### Shelve (Constructor)

Shelve(vcs)

Constructor

vcs
  reference to the Mercurial vcs object

#### Shelve.__hgGetShelveNamesList

__hgGetShelveNamesList(repodir)

Private method to get the list of shelved changes.

repodir
  directory name of the repository (string)

Returns:
  list of shelved changes (list of string)

#### Shelve.hgCleanupShelves

hgCleanupShelves(name)

Public method to delete all shelves.

name
  name of the project directory (string)

#### Shelve.hgDeleteShelves

hgDeleteShelves(name, shelveNames=None)

Public method to delete named shelves.

name
  name of the project directory (string)
shelveNames
  name of shelves to delete (list of string)

#### Shelve.hgShelve

hgShelve(name)

Public method to shelve current changes of files or directories.

name
  directory or file name (string) or list of directory or file names (list of string)

Returns:
  flag indicating that the project should be reread (boolean)

#### Shelve.hgShelveBrowser

hgShelveBrowser(projectDir)

Public method to show the shelve browser dialog.

projectDir
  name of the project directory (string)

#### Shelve.hgUnshelve

hgUnshelve(name, shelveName="")

Public method to restore shelved changes to the project directory.

name
  name of the project directory (string)
shelveName=
  name of the shelve to restore (string)

Returns:
  flag indicating that the project should be reread (boolean)

#### Shelve.hgUnshelveAbort

hgUnshelveAbort(name)

Public method to abort the ongoing restore operation.

name
  name of the project directory (string)

Returns:
  flag indicating that the project should be reread (boolean)

#### Shelve.hgUnshelveContinue

hgUnshelveContinue(name)

Public method to continue the ongoing restore operation.

name
  name of the project directory (string)

Returns:
  flag indicating that the project should be reread (boolean)

#### Shelve.shutdown

shutdown()

Public method used to shutdown the shelve interface.

Up